
QGIS Application - Bug report #6843

Crash when first field is hidden

2012-12-08 06:13 AM - Nathan Woodrow

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15979

Description

To reproduce:

    1. Open any layer

    2. Set the first field to be hidden on the fields tab

    3. Use the identify tool on a single record

    4. Crash

Associated revisions

Revision 289a2072 - 2012-12-10 03:21 PM - Nathan Woodrow 

Fix #6843

History

#1 - 2012-12-08 02:25 PM - Salvatore Larosa

- Crashes QGIS or corrupts data changed from No to Yes

Hi Nathan,

same here on Linux, but only if "Open feature form if a single feature is identified" is activated !

#2 - 2012-12-08 02:43 PM - Salvatore Larosa

more info from backtrace:

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff263c301 in QWidget::setFocus(Qt::FocusReason) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

(gdb) bt

#0  0x00007ffff263c301 in QWidget::setFocus(Qt::FocusReason) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#1  0x00000000005e1342 in QgsAttributeDialog::QgsAttributeDialog (this=0x1baecc0, vl=0x64256c0, 

    thepFeature=0x608aca0, featureOwner=true)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgsattributedialog.cpp:217

#2  0x0000000000684669 in QgsFeatureAction::newDialog (this=0x7fffffffc060, cloneFeature=true)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgsfeatureaction.cpp:45

#3  0x00000000006849c5 in QgsFeatureAction::viewFeatureForm (this=0x7fffffffc060, h=0x6579200)

2025-06-13 1/3



    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgsfeatureaction.cpp:80

#4  0x00000000006814b2 in QgsIdentifyResults::featureForm (this=0x66a7560)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgsidentifyresults.cpp:939

#5  0x000000000067e673 in QgsIdentifyResults::show (this=0x66a7560)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgsidentifyresults.cpp:383

#6  0x00000000006d9037 in QgsMapToolIdentify::canvasReleaseEvent (this=0x12de7b0, e=0x7fffffffcd60)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgsmaptoolidentify.cpp:148

#7  0x00007ffff4443e0e in QgsMapCanvas::mouseReleaseEvent (this=0x115b5e0, e=0x7fffffffcd60)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/gui/qgsmapcanvas.cpp:984

#8  0x00007ffff2648e10 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#9  0x00007ffff29f3d56 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#10 0x00007ffff2c0c39b in QGraphicsView::viewportEvent(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#11 0x00007ffff324fcc6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

---Type <return> to continue, or q <return> to quit---

#12 0x00007ffff25f96dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff25fe3eb in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#14 0x00007ffff4aa2f12 in QgsApplication::notify (this=0x7fffffffda30, receiver=0x11716e0, event=

    0x7fffffffcd60) at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsapplication.cpp:222

#15 0x00007ffff324fb5e in QCoreApplication::notifyInternal(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#16 0x00007ffff25fa54b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#17 0x00007ffff2674fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#18 0x00007ffff2673d51 in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#19 0x00007ffff269abc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#20 0x00007fffef2b9355 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#21 0x00007fffef2b9688 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#22 0x00007fffef2b9744 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#23 0x00007ffff327e276 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#24 0x00007ffff269a83e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#25 0x00007ffff324e8af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#26 0x00007ffff324eb38 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()

---Type <return> to continue, or q <return> to quit---

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#27 0x00007ffff3253cf8 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#28 0x000000000056bc2f in main (argc=1, argv=0x7fffffffe388)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/main.cpp:859

(gdb) 

#3 - 2012-12-09 09:01 AM - Salvatore Larosa

- OS version deleted (8,XP, 7)

- Operating System changed from Windows to All
this is a regression since 1.8 !

tested with Lisboa version and works as expected !

#4 - 2012-12-10 06:21 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"289a20727cbce4946b59287a6146bdc4b38aedcd".
